NetworkMessageBridge (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.NetworkMessageBridge class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class NetworkMessageBridge

    java.lang.Object
      org.codehaus.activemq.transport.NetworkMessageBridge

All Implemented Interfaces:
  MessageListener, Service

class NetworkMessageBridge
extends Object
implements Service, MessageListener

A NetworkMessageBridge consumes messages from a remote broker and daisy chains them to the local message producer, which will pass them into the local broker for consumption

Version:
  $Revision: 1.8 $

Constructor Summary
`NetworkMessageBridge()` Construct the NetworkMessageConsumer

Method Summary
`int` | `decrementReferenceCount()` decrement number of references to this consumer
`boolean` | `equals(Object obj)`
`ActiveMQDestination` | `getDestination()`
`String` | `getLocalBrokerName()`
`Session` | `getLocalSession()`
`Session` | `getRemoteSession()`
`int` | `hashCode()`
`int` | `incrementReferenceCount()` increment number of references to this consumer
`boolean` | `isDurableTopic()`
`void` | `onMessage(Message msg)`
`void` | `setDestination(ActiveMQDestination destination)`
`void` | `setDurableTopic(boolean durableTopic)` sett the durable value of the consumer
`void` | `setLocalBrokerName(String localBrokerName)`
`void` | `setLocalSession(Session localSession)`
`void` | `setRemoteSession(Session remoteSession)`
`void` | `start()` start the bridge
`void` | `stop()` stop the bridge

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkMessageBridge

    public NetworkMessageBridge()

  Construct the NetworkMessageConsumer

Method Detail

### setDurableTopic

    public void setDurableTopic(boolean durableTopic)

  sett the durable value of the consumer

  Parameters:
    `durableTopic` -

### isDurableTopic

    public boolean isDurableTopic()

  Returns:
    true if a durable consumer

### getDestination

    public ActiveMQDestination getDestination()

  Returns:
    Returns the destination.

### setDestination

    public void setDestination(ActiveMQDestination destination)

  Parameters:
    `destination` - The destination to set.

### getLocalBrokerName

    public String getLocalBrokerName()

  Returns:
    Returns the localBrokerName.

### setLocalBrokerName

    public void setLocalBrokerName(String localBrokerName)

  Parameters:
    `localBrokerName` - The localBrokerName to set.

### getLocalSession

    public Session getLocalSession()

  Returns:
    Returns the localSession.

### setLocalSession

    public void setLocalSession(Session localSession)

  Parameters:
    `localSession` - The localSession to set.

### getRemoteSession

    public Session getRemoteSession()

  Returns:
    Returns the remoteSession.

### setRemoteSession

    public void setRemoteSession(Session remoteSession)

  Parameters:
    `remoteSession` - The remoteSession to set.

### incrementReferenceCount

    public int incrementReferenceCount()

  increment number of references to this consumer

  Returns:
    the number of references

### decrementReferenceCount

    public int decrementReferenceCount()

  decrement number of references to this consumer

  Returns:
    the number of references

### start

    public void start()
               throws JMSException

  start the bridge

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()

  stop the bridge

  Specified by:
    `stop` in interface `Service`

### onMessage

    public void onMessage(Message msg)

  Specified by:
    `onMessage` in interface `MessageListener`
  Parameters:
    `msg` - consumed message from remote broker

### hashCode

    public int hashCode()

  Returns:
    hash code for this object

### equals

    public boolean equals(Object obj)

  Parameters:
    `obj` -
  Returns:
    true if the obj and this are equal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.